

<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">
		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				Department
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="flaticon-interface-7"></i> Master
				</li>
			</ul>
		</div>
	</div>
</div>
<!-- END: Subheader -->

<div class="m-content">
	<!--Begin::Main Portlet-->
	<div class="row">
		<div class="col-xl-12">
			<!--begin::Portlet-->
			<div class="m-portlet m-portlet--tab">
				<div class="m-portlet__head">
					<div class="m-portlet__head-caption">
						<div class="m-portlet__head-title">
							<span class="m-portlet__head-icon m--hide">
								<i class="la la-gear"></i>
							</span>
							<h3 class="m-portlet__head-text">
								Form Update
							</h3>
						</div>
					</div>
				</div>

				<!-- alert -->
				<?php echo $pesan; ?>

				<!--begin::Form-->
				<?php $att = array('class'=>'m-form m-form--fit m-form--label-align-right', 'role'=>'form');
				echo form_open('dept/saveupdate', $att);
				foreach($get as $set): ?>
					<div class="m-portlet__body">
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Kode Perusahaan
							</label>
							<div class="col-md-3 col-xs-12">
								<div class="m-select2 m-select2--air">
									<select class="form-control m-select2" name="PerID" id="PerID" data-placeholder="select on option">
										<?php foreach ($getPer as $get):
											if($set->PerID == $get->PerID){
												echo "<option value='".$get->PerID."' selected>".$get->Singkatan."</option>";
											}else{
												echo "<option value='".$get->PerID."'>".$get->Singkatan."</option>";
											}
										endforeach; ?>
									</select>
								</div>
							</div>
						</div>
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Division
							</label>
							<div class="col-md-3 col-xs-12">
								<input class="form-control m-input--air" type="hidden" name="id" id="id" value="<?php echo $set->DeptID ?>">
								<div class="m-select2 m-select2--air" id="get_div">
									<select class="form-control m-select2" name="OldDivID" id="OldDivID"  data-placeholder="select on option">
										<?php foreach ($getDiv as $get):
											if($set->DivID == $get->DivID){
												echo "<option value='".$get->DivID."' selected>".$get->NamaDiv."</option>";
											}
										endforeach; ?>
									</select>
								</div>
							</div>
						</div>
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Code
							</label>
							<div class="col-md-3 col-xs-12">
								<input class="form-control m-input--air" type="text" name="Singkatan" id="Singkatan" value="<?php echo $set->Singkatan ?>" placeholder="Department">
							</div>
						</div>
						<div class="form-group m-form__group row">
							<label class="col-md-2 col-xs-3 col-form-label">
								Department Name
							</label>
							<div class="col-md-5 col-xs-12">
								<input class="form-control m-input--air" type="text" name="Nama" id="Nama" value="<?php echo $set->Nama ?>" placeholder="Department Name">
							</div>
						</div>
					</div>
					<div class="m-portlet__foot m-portlet__foot--fit">
						<div class="m-form__actions">
							<div class="row">
								<div class="col-md-2"></div>
								<div class="col-md-10 col-xs-12">
									<button type="Submit" class="btn btn-brand">Submit</button>
									<a class="btn btn-secondary" href="javascript:history.back()">Back</a>
								</div>
							</div>
						</div>
					</div>
				<?php endforeach; ?>
				</form>
			</div>
			<!--end::Portlet-->
		</div>
	</div>
	<!--End::Main Portlet-->
</div>

<script type="text/javascript">
	$(document).ready(function(){
		$('#PerID').select2();
		$('#OldDivID').select2();

		$('#PerID').change(function(){
			var PerID    = $("#PerID").val();
			// alert(PerID);
			$.ajax({
                type: "POST",
                url : "<?php echo site_url('dept/get_div')?>",
                data: {
                    'PerID'    : PerID
                },
                success: function(msg){
                    $('#get_div').html(msg);
                }
            });
		})
	})
</script>